<?php
namespace App\EntityList;

class QcRules extends GeneralAbstract
{

	/**
	 * This method is used for loading the main details of the concrete class (main table details).
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTQcRules, $DBTQcRulesCache;
		$this->setMainTable($DBTQcRules, 'qcRules');
		$this->addAllowedTable($DBTQcRulesCache, 'qcRulesCache', 'qcRulesCache.idRule=qcRules.id', 'INNER');
	}

}